import type { Metadata } from "next";
import localFont from "next/font/local";
import "./globals.css";
import { Toaster } from "@/components/ui/toaster"

export const metadata: Metadata = {
  title: "IFTA CARIAD DNI API Dashboard",
  description: "Dashboard for managing API access to the IFTAS CARIAD Deny List service.",
  icons: {
    icon: [
      { url: '/favicon.ico' },
      { url: '/favicon.webp', type: 'image/webp' },
      { url: '/favicon.png', type: 'image/png' },
    ]
  },
};

export default function RootLayout({
  children,
}: {
  children: React.ReactNode
}) {
  return (
    <html lang="en">
      <head>
        <link rel="icon" href="/favicon.webp" />
        <link rel="shortcut icon" href="/favicon.webp" />
        <link rel="apple-touch-icon" href="/favicon.webp" />
      </head>
      <body>
        {children}
        <Toaster />
      </body>
    </html>
  )
}
