import { Key, Users } from 'lucide-react'
import { Card, CardContent, CardHeader, CardTitle } from '@/components/ui/card'

interface StatsCardsProps {
  totalKeys: number
  dniRequests: number
  fiftyonePercent: number
  sixtysixPercent: number
  eightyPercentRequests: number
}

export function StatsCards({ totalKeys, dniRequests, fiftyonePercent, sixtysixPercent, eightyPercentRequests }: StatsCardsProps) {
  return (
    <div className="mb-8 grid gap-6 md:grid-cols-5">
      <Card>
        <CardHeader className="flex flex-row items-center justify-between space-y-0 pb-2">
          <CardTitle className="text-sm font-medium">Total API Keys</CardTitle>
          <Key className="size-4 text-gray-500" />
        </CardHeader>
        <CardContent>
          <div className="text-2xl font-bold">{totalKeys}</div>
          <p className="text-xs text-gray-500">Active API Keys</p>
        </CardContent>
      </Card>
      <Card>
        <CardHeader className="flex flex-row items-center justify-between space-y-0 pb-2">
          <CardTitle className="text-sm font-medium">Custom List Usage</CardTitle>
          <Users className="size-4 text-gray-500" />
        </CardHeader>
        <CardContent>
          <div className="text-2xl font-bold">{dniRequests}</div>        </CardContent>
      </Card>
      <Card>
        <CardHeader className="flex flex-row items-center justify-between space-y-0 pb-2">
          <CardTitle className="text-sm font-medium">51% Usage</CardTitle>
          <Users className="size-4 text-gray-500" />
        </CardHeader>
        <CardContent>
          <div className="text-2xl font-bold">{fiftyonePercent}</div>
        </CardContent>
      </Card>
      <Card>
        <CardHeader className="flex flex-row items-center justify-between space-y-0 pb-2">
          <CardTitle className="text-sm font-medium">66% Usage</CardTitle>
          <Users className="size-4 text-gray-500" />
        </CardHeader>
        <CardContent>
          <div className="text-2xl font-bold">{sixtysixPercent}</div>
        </CardContent>
      </Card>
      <Card>
        <CardHeader className="flex flex-row items-center justify-between space-y-0 pb-2">
          <CardTitle className="text-sm font-medium">80% Usage</CardTitle>
          <Users className="size-4 text-gray-500" />
        </CardHeader>
        <CardContent>
          <div className="text-2xl font-bold">{eightyPercentRequests}</div>
        </CardContent>
      </Card>
    </div>
  )
} 