export interface ApiKey {
  id: number
  key: string
  client: string
  permissions: string[]
  requests: Record<string, number>
  lastUsed: string
  is_active: boolean
}

export interface ApiKeyResponse {
  success: boolean
  data: {
    key_id: number
    description: string
    key: string
    created_at: string
    last_used_at: string | null
    total_requests: number
    is_active: boolean
    is_admin: boolean
    permissions: string[]
    threshold_requests: {
      threshold_51: number
      threshold_66: number
      threshold_80: number
    }
  }[]
}

export interface CreateApiKeyResponse {
  success: boolean
  message: string
  key: string
  description: string
  permissions: string[]
}

export interface CreateApiKeyRequest {
  description: string
  permissions: string[]
} 